#
# spec file for package perl-Term-Table
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Term-Table
Name:           perl-Term-Table
Version:        0.18.0
Release:        2.1
%define cpan_version 0.018
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Format a header and rows into a table
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test2::Tools::Tiny) >= 1.302097
Provides:       perl(Term::Table) = 0.18.0
Provides:       perl(Term::Table::Cell) = 0.18.0
Provides:       perl(Term::Table::CellStack) = 0.18.0
Provides:       perl(Term::Table::HashBase) = 0.18.0
Provides:       perl(Term::Table::LineBreak) = 0.18.0
Provides:       perl(Term::Table::Spacer) = 0.18.0
Provides:       perl(Term::Table::Util) = 0.18.0
%undefine       __perllib_provides
Recommends:     perl(Term::Size::Any) >= 0.002
Recommends:     perl(Unicode::GCString) >= 2013.10
Recommends:     perl(Unicode::LineBreak) >= 2015.06
%{perl_requires}

%description
This is used by some failing tests to provide diagnostics about what has
gone wrong. This module is able to format rows of data into tables.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.md
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Tue Oct 24 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.018
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.018     2023-10-22 21:55:51-07:00 America/Los_Angeles
  - Merged doc fix PR
* Thu Sep 14 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.017
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.017     2023-09-13 10:41:08-07:00 America/Los_Angeles
  - Remove 'Importer' dependency
* Tue Jan  4 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.016
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.016     2022-01-03 12:56:51-08:00 America/Los_Angeles
  - Be explicit about bareword filehandles
* Tue Nov 19 2019 <timueller+perl@suse.de>
- updated to 0.015
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.015     2019-11-18 15:58:23-08:00 America/Los_Angeles
  - Update inlined Object::HashBase
* Wed Oct 16 2019 <timueller+perl@suse.de>
- updated to 0.014
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.014     2019-10-15 16:54:41-07:00 America/Los_Angeles
  - Clone STDOUT on load in case it gets changed later
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.013
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.013     2018-12-04 11:38:36-08:00 America/Los_Angeles
* Thu Oct 19 2017 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.012     2017-10-11 08:54:52-07:00 America/Los_Angeles
  - Bump minimum Test2::Tools::Tiny version
  0.011     2017-10-09 12:52:32-07:00 America/Los_Angeles
  - Honor the env variable even on non-term output
* Wed Oct  4 2017 coolo@suse.com
- updated to 0.010
  see /usr/share/doc/packages/perl-Term-Table/Changes
  0.010     2017-10-03 09:41:46-07:00 America/Los_Angeles
  - No changes since trial
  0.009     2017-09-18 20:51:26-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Further optimize term_size when SIGWINCH is supported
* Wed May 31 2017 coolo@suse.com
- initial package 0.008
  * created by cpanspec 1.78.08
